| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Variables
Parse Option Flags

## Variables
const | Swagger::LM_ACCEPT_ALL_PROPERTIES = (1 << 6)
| parse option: accept additional properties without raising an error
const | Swagger::LM_ACCEPT_INVALID_BODY_PARAMS = (1 << 3)
| parse option: reconstruct invalid body parameters
const | Swagger::LM_ACCEPT_QUERY_OBJECTS = (1 << 7)
| parse option: accept object as a query parameter type (as with OpenApi 3+)
const | Swagger::LM_ALL = ...
| parse options: all options
const | Swagger::LM_AUTO_FORM_DATA = (1 << 4)
| parse option: add consumes application/x-www-form-urlencoded to API endpoint if formData is used in params
const | Swagger::LM_IGNORE_INVALID_PATHS = (1 << 8)
| parse option: ignore invalid paths
const | Swagger::LM_IGNORE_INVALID_REQUIRED = (1 << 2)
| parse option: ignore invalid "required" properties
const | Swagger::LM_IGNORE_MISSING_REQUIRED = (1 << 0)
const | Swagger::LM_LAX_COLLECTIONFORMAT = (1 << 1)
| parse option: allow collectionFormat on non-array types
const | Swagger::LM_OPTIONAL_REF_PROPERTIES = (1 << 5)
| parse option: object properties with reference types are automatically optional

## Detailed Description

Options that determine which common errors are acceptable when parsing Swagger schemas

## Variable Documentation

## ◆ LM_IGNORE_MISSING_REQUIRED

const Swagger::LM_IGNORE_MISSING_REQUIRED = (1 << 0)

parse option: ignore missing required in path parameters